develooper Front page | perl.perl5.porters | Postings from July 2021

Documentation needed for PR18666

Thread Next
From:
Paul "LeoNerd" Evans
Date:
July 10, 2021 09:33
Subject:
Documentation needed for PR18666
Message ID:
20210710103312.16df0746@shy.leonerd.org.uk
(with my PSC hat on)

Hi all,

PR#18666 - https://github.com/Perl/perl5/pull/18666 - is a small change
to perl core which makes the `use VERSION` syntax enable `use
warnings`, when the requested version is high enough (i.e. something
beyond 5.35.0).

The change itself is implemented and has tests, but the PR so far has
no documentation. While I'm sure leont, myself, or some other regular
core contributor could write this, it would also be an excellent
opportunity for any new people who want to dip their toes into some
core perl work. It would get your name into the `AUTHORS` section, and
give you a good first step into getting involved.

Does anyone feel like writing some documentation for this?

-- 
Paul "LeoNerd" Evans

leonerd@leonerd.org.uk      |  https://metacpan.org/author/PEVANS
http://www.leonerd.org.uk/  |  https://www.tindie.com/stores/leonerd/

Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About